/**
 * 游客登录响应
 * 
 */
import { z } from "zod";
import { UserSchema } from "../user/user";

export const GuestLoginResponseSchema = z.object({
  token: z.string(),
  deviceId: z.string(),
  userId: z.string(),
  isDeviceUser: z.boolean().default(true),
  expiresIn: z.number().default(2592000),
  user: UserSchema.optional(),
});

export type GuestLoginResponseInput = z.input<typeof GuestLoginResponseSchema>;
export type GuestLoginResponseData = z.output<typeof GuestLoginResponseSchema>;
